POST /api/fleet/proxies

Spaces method and path for this operation:

post /s/{space_id}/api/fleet/proxies

Refer to Spaces for more information.

Create a new Fleet proxy.

[Required authorization] Route required privileges: fleet-settings-all.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • certificate string | null
  • certificate_authorities string | null
  • certificate_key string | null
  • id string
  • is_preconfigured boolean

    Default value is false.

  • name string Required
  • proxy_headers object | null
  • url string Required

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • item object Required

      Additional properties are NOT allowed.

      Hide item attributes Show item attributes object
      • certificate string | null
      • certificate_authorities string | null
      • certificate_key string | null
      • id string Required
      • is_preconfigured boolean

        Default value is false.

      • name string Required
      • proxy_headers object | null
      • url string Required
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
POST /api/fleet/proxies
curl \
 --request POST 'https://<KIBANA_URL>/api/fleet/proxies' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "kbn-xsrf: true" \
 --data '{"name":"My proxy","url":"http://proxy.example.com:3128"}'
Request example
Create a new Fleet proxy
{
  "name": "My proxy",
  "url": "http://proxy.example.com:3128"
}
Response examples (200)
The created Fleet proxy
{
  "item": {
    "id": "proxy-id-2",
    "is_preconfigured": false,
    "name": "My proxy",
    "url": "http://proxy.example.com:3128"
  }
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}